#!/usr/bin/perl

$DOWNLOAD = `cat download`;

$cmd = "ls -l --full-time /usr/local/httpd/htdocs/mylinux/downloads/livecd-*.gz | sed -e 's/ Jan / 01 /' -e 's/ Feb / 02 /' -e 's/ Mar / 03 /' -e 's/ Apr / 04 /' -e 's/ May / 05 /' -e 's/ Jun / 06 /' -e 's/ Jul / 07 /' -e 's/ Aug / 08 /' -e 's/ Sep / 09 /' -e 's/ Oct / 10 /' -e 's/ Nov / 11 /' -e 's/ Dez / 12 /' -e 's/.\\{32\\} *\\([0-9]*\\) [A-Za-z]*  *\\([^ ]*\\) \\([0-9]*\\) [^ ]* \\([0-9]*\\) .*\\(livecd[^/]*\\)/\\[:row:\\]\\\\n\\3.\\2.\\4\\\\n\\[:column:\\]\\\\n\\[http:\\/\\/fourier.homelinux.net\\/mylinux\\/downloads\\/\\5\\|\\5\\]\\\\n\\[:column:\\]\\\\n\\1 Bytes/'";

$LIVECDS = `$cmd`;
chomp $LIVECDS;

$LIVECDS =~ s/\\n/\r\n/g;
$LIVECDS =~ /\r\n([0-9]*) Bytes/;
$BYTES = $1 + 1 - 1;
$MB = ($BYTES / 1024 / 1024 + 0.5) . " MB";
$MB =~ s/\.[0-9]* MB/ MB/;
$LIVECDS =~ s/\r\n([0-9]*) Bytes/\r\n$MB/s;

$DOWNLOAD =~ s@(\[:row:\]\r\n\d\d\.\d\d\.\d\d\d\d\r\n\[:column:\]\r\n\[http://fourier\.homelinux\.net/mylinux/downloads/livecd-\d\.\d\d\.img\.gz\|livecd-\d\.\d\d\.img\.gz\]\r\n\[:column:\]\r\n\d* MB)+@$LIVECDS@s;

$cmd = "ls -l --full-time /usr/local/httpd/htdocs/mylinux/downloads/mylinux-usermanager-*.tgz | sed -e 's/ Jan / 01 /' -e 's/ Feb / 02 /' -e 's/ Mar / 03 /' -e 's/ Apr / 04 /' -e 's/ May / 05 /' -e 's/ Jun / 06 /' -e 's/ Jul / 07 /' -e 's/ Aug / 08 /' -e 's/ Sep / 09 /' -e 's/ Oct / 10 /' -e 's/ Nov / 11 /' -e 's/ Dez / 12 /' -e 's/.\\{32\\} *\\([0-9]*\\) [A-Za-z]*  *\\([^ ]*\\) \\([0-9]*\\) [^ ]* \\([0-9]*\\) .*\\(mylinux-usermanager[^/]*\\)/\\[:row:\\]\\\\n\\3.\\2.\\4\\\\n\\[:column:\\]\\\\n\\[http:\\/\\/fourier.homelinux.net\\/mylinux\\/downloads\\/\\5\\|\\5\\]\\\\n\\[:column:\\]\\\\n\\1 Bytes/'";

$PACKAGES = `$cmd`;
chomp $PACKAGES;

$PACKAGES =~ s/\\n/\r\n/g;
$PACKAGES =~ /\r\n([0-9]*) Bytes/;
$BYTES = $1 + 1 - 1;
$KB = ($BYTES / 1024 + 0.5) . " KB";
$KB =~ s/\.[0-9]* KB/ KB/;
$PACKAGES =~ s/\r\n([0-9]*) Bytes/\r\n$KB/s;

$DOWNLOAD =~ s@(\[:row:\]\r\n\d\d\.\d\d\.\d\d\d\d\r\n\[:column:\]\r\n\[http://fourier\.homelinux\.net/mylinux/downloads/mylinux-usermanager-\d\.\d\d\.tgz\|mylinux-usermanager-\d\.\d\d\.tgz\]\r\n\[:column:\]\r\n\d* KB)+@$PACKAGES@s;

$cmd = "ls -l --full-time /usr/local/httpd/htdocs/mylinux/downloads/mylinuxproject-*.tgz | sed -e 's/ Jan / 01 /' -e 's/ Feb / 02 /' -e 's/ Mar / 03 /' -e 's/ Apr / 04 /' -e 's/ May / 05 /' -e 's/ Jun / 06 /' -e 's/ Jul / 07 /' -e 's/ Aug / 08 /' -e 's/ Sep / 09 /' -e 's/ Oct / 10 /' -e 's/ Nov / 11 /' -e 's/ Dez / 12 /' -e 's/.\\{32\\} *\\([0-9]*\\) [A-Za-z]*  *\\([^ ]*\\) \\([0-9]*\\) [^ ]* \\([0-9]*\\) .*\\(mylinuxproject[^/]*\\)/\\[:row:\\]\\\\n\\3.\\2.\\4\\\\n\\[:column:\\]\\\\n\\[http:\\/\\/fourier.homelinux.net\\/mylinux\\/downloads\\/\\5\\|\\5\\]\\\\n\\[:column:\\]\\\\n\\1 Bytes/'";

$HOMEPAGES = `$cmd`;
chomp $HOMEPAGES;

$HOMEPAGES =~ s/\\n/\r\n/g;
$HOMEPAGES =~ /\r\n([0-9]*) Bytes/;
$BYTES = $1 + 1 - 1;
$KB = ($BYTES / 1024 + 0.5) . " KB";
$KB =~ s/\.[0-9]* KB/ KB/;
$HOMEPAGES =~ s/\r\n([0-9]*) Bytes/\r\n$KB/s;

$DOWNLOAD =~ s@(\[:row:\]\r\n\d\d\.\d\d\.\d\d\d\d\r\n\[:column:\]\r\n\[http://fourier\.homelinux\.net/mylinux/downloads/mylinuxproject-\d\.\d\d\.tgz\|mylinuxproject-\d\.\d\d\.tgz\]\r\n\[:column:\]\r\n\d* KB)+@$HOMEPAGES@s;

open (DL2, "> download.new");
print DL2 $DOWNLOAD;
close DL2;

print `chown wwwrun.wwwrun download.new`
